Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics.cpp	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics.cpp	(revision 53)
@@ -13,7 +13,9 @@
 @NAMESPACE_BEGIN
 
-  Statistics::Statistics (string                                      name                       ,
-			  morpheo::behavioural::Parameters_Statistics parameters_statistics      ,
-			  Parameters                                  parameters
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::Statistics"
+  Statistics::Statistics (string                                        name                       ,
+			  morpheo::behavioural::Parameters_Statistics * parameters_statistics      ,
+			  Parameters                                  * parameters
 			  ) :
     morpheo::behavioural::Statistics(name                  ,
@@ -21,12 +23,14 @@
     _parameters(parameters)
   {
-    log_printf(FUNC,@COMPONENT,"Statistics","Begin");
-    log_printf(FUNC,@COMPONENT,"Statistics","End");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
   };
   
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::~Statistics"
   Statistics::~Statistics () 
   { 
-    log_printf(FUNC,@COMPONENT,"~Statistics","Begin");
-    log_printf(FUNC,@COMPONENT,"~Statistics","End");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_add.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_add.cpp	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_add.cpp	(revision 53)
@@ -16,8 +16,10 @@
 @NAMESPACE_BEGIN
 
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::add"
   void Statistics::add ()
   {
-    log_printf(FUNC,@COMPONENT,"add","Begin");
-    log_printf(FUNC,@COMPONENT,"add","End");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_print.cpp	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_print.cpp	(revision 53)
@@ -16,7 +16,9 @@
 @NAMESPACE_BEGIN
 
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::print"
   string Statistics::print (uint32_t depth)
   {
-    log_printf(FUNC,@COMPONENT,"print","Begin");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
 
     string        tab = string(depth,'\t');
@@ -27,13 +29,19 @@
 	<< tab << "</@COMPONENT_LOWER>" << endl;
     
-    log_printf(FUNC,@COMPONENT,"print","End");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
 
     return msg.str();
   };
 
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::operator<<"
   ostream& operator<< (ostream& output_stream ,
 		       morpheo::behavioural::@NAMESPACE_USE::Statistics & x)
   {
+    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+
     output_stream << x.print(0);
+
+    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
 
     return output_stream;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_print_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_print_body.cpp	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/src/Statistics_print_body.cpp	(revision 53)
@@ -16,7 +16,9 @@
 @NAMESPACE_BEGIN
 
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::print_body"
   string Statistics::print_body (uint32_t depth)
   {
-    log_printf(FUNC,@COMPONENT,"print_body","Begin");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
 
     string        tab = string(depth,'\t');
@@ -25,5 +27,5 @@
     msg << tab << "";
     
-    log_printf(FUNC,@COMPONENT,"print_body","End");
+    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
 
     return msg.str();
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Debug_component.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Debug_component.h	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Debug_component.h	(revision 53)
@@ -7,12 +7,17 @@
 #define     DEBUG_Group                                           false
 #define     DEBUG_Shifter                                         false
-#define     DEBUG_Register_File                                   false
+#define     DEBUG_RegisterFile                                    false
 #define       DEBUG_RegisterFile_Monolithic                       false 
-#define       DEBUG_RegisterFile_Multi_Banked                     true 
+#define       DEBUG_RegisterFile_Multi_Banked                     false
 #define     DEBUG_Select                                          false
 #define       DEBUG_Select_Priority_Fixed                         false 
-#define     DEBUG_Victim                                          false
+#define     Debug_Victim                                          false
 #define       DEBUG_Victim_Pseudo_LRU                             false
 #define   DEBUG_Core                                              false
+#define     DEBUG_Multi_Execute_loop                              false
+#define       DEBUG_Execute_loop				  false
+#define         DEBUG_Multi_Read_unit				  false
+#define           DEBUG_Read_unit				  false
+#define             DEBUG_Read_queue                              false
 #define     DEBUG_Multi_Front_end                                 false
 #define       DEBUG_Front_end                                     false
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Statistics.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Statistics.h	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Statistics.h	(revision 53)
@@ -26,6 +26,6 @@
   {
     // -----[ fields ]----------------------------------------------------
-  protected : const string                _name;
-  protected : const Parameters_Statistics _parameters_statistics;
+  protected : const string                  _name;
+  protected : const Parameters_Statistics * _parameters_statistics;
 
   protected :       uint32_t _nb_statistics;         // nb period ...
@@ -33,6 +33,6 @@
 
     // -----[ methods ]---------------------------------------------------
-  public    :                  Statistics          (string                name                 ,
-						    Parameters_Statistics parameters_statistics);
+  public    :                  Statistics          (string                  name                 ,
+						    Parameters_Statistics * parameters_statistics);
   public    : virtual          ~Statistics         ();
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics.cpp	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics.cpp	(revision 53)
@@ -15,6 +15,6 @@
 #undef  FUNCTION
 #define FUNCTION "Statistics::Statistics"
-  Statistics::Statistics  (string                name                 ,
-			   Parameters_Statistics parameters_statistics):
+  Statistics::Statistics  (string                  name                 ,
+			   Parameters_Statistics * parameters_statistics):
     _name                  (name                 ),
     _parameters_statistics (parameters_statistics)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_compute_cycle_xxx.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_compute_cycle_xxx.cpp	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_compute_cycle_xxx.cpp	(revision 53)
@@ -18,5 +18,5 @@
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    uint32_t _return = _parameters_statistics._nb_cycle_before_begin + num_statistics*_parameters_statistics._period_save;
+    uint32_t _return = _parameters_statistics->_nb_cycle_before_begin + num_statistics*_parameters_statistics->_period_save;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_test_if_save.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_test_if_save.cpp	(revision 50)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_test_if_save.cpp	(revision 53)
@@ -26,6 +26,6 @@
 
     // Test if allors a new counters ...
-    if ( ((_nb_statistics == 0) && (_period_current >= _parameters_statistics._nb_cycle_before_begin)) ||
-	 ((_nb_statistics >  0) && (_period_current >= _parameters_statistics._period_save          )) )
+    if ( ((_nb_statistics == 0) && (_period_current >= _parameters_statistics->_nb_cycle_before_begin)) ||
+	 ((_nb_statistics >  0) && (_period_current >= _parameters_statistics->_period_save          )) )
       {
 	save<Counters,Parameters_Counters>(counters,parameters);
